Name:			mupen64plus
Version:		1.5
%define distsuffix	plf
Release:		%mkrel 1

Summary:	Nintendo 64 Emulator (GTK Gui)
License:	GPLv2+
Group:		Emulators
URL:		http://code.google.com/p/mupen64plus/
Source0:	Mupen64Plus-1-5-src.tar.gz

BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	gtk2-devel
BuildRequires:	lirc-devel
BuildRequires:	libsamplerate-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}

Conflicts:	mupen64plus-qt
Conflicts:	mupen64plus-cli

%description
Mupen64plus is a Nintendo 64 Emulator.
This package includes a GTK front-end and all the plug-ins.

This package is in PLF as Mandriva Linux policy forbids emulators.

%prep
%setup -q -n Mupen64Plus-1-5-src

%build
make VCR=1 LIRC=1 GUI=GTK2 DBGSYM=1 PREFIX=%{_prefix} LIBDIR=%{_libdir}/mupen64plus all

%install
rm -rf %{buildroot}
make install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir}/mupen64plus MANDIR=%{buildroot}%{_mandir}/man1
pushd %{buildroot}%{_prefix}
ln -s %{_libdir}/mupen64plus  %{buildroot}%{_datadir}/mupen64plus/plugins
popd

desktop-file-install --vendor="" \
 --remove-category="Game" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
 --add-category="Emulator" \
 --dir=%{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}

%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc README RELEASE TODO
%{_bindir}/mupen64plus
%{_libdir}/mupen64plus
%{_datadir}/mupen64plus
%{_datadir}/applications/mupen64plus.desktop
%{_mandir}/man1/*

%changelog
* Tue Jan  6 2009 Guillaume Bedot <littletux@zarb.org> 1.5-1plf2009.1
- First package of mupen64plus for PLF, requested by Zombie Ryushu
